I removed the xampp package xampp-linux-1.6.7 on the Ubuntu 8.10 system and adopted the instuctions from mod_wsgi documentation. I recieve the mistake below:

ravi@Ibex:~/mod_wsgi-2.3$ ./configure  --with-apxs=/opt/lampp/bin/apxs 
checking Apache version... cannot open /opt/lampp/build/config_vars.mk: No such file or directory at /opt/lampp/bin/apxs line 218.
cannot open /opt/lampp/build/config_vars.mk: No such file or directory at /opt/lampp/bin/apxs line 218.
./configure: line 1696: /: is a directory

checking for python... /usr/bin/python
cannot open /opt/lampp/build/config_vars.mk: No such file or directory at /opt/lampp/bin/apxs line 218.
configure: creating ./config.status
config.status: error: cannot find input file: Makefile.in

I possibly could not google for instructions on getting mod_wsgi running on xampp. Help.

Solution: The answer with this is hidden within the comments. Because of Martin v. Löwis I could solve this. When apxs throws and error worrying about missing config_vars.mk this means the build directory of Apache is missing. Fox xampp customers the answer would be to download xampp-dev too and extract that towards the same path.

When apxs throws and error worrying about missing config_vars.mk this means the build directory of Apache is missing. Fox xampp customers the answer would be to download xampp-dev too and extract that towards the same path.